Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.glyph
Class RectangleGlyph

    java.lang.Object
      org.biojava.bio.gui.glyph.RectangleGlyph

All Implemented Interfaces:
  Glyph

    public class RectangleGlyph

extends Object
implements Glyph

A Glyph that paints a rectangle shape within the bounds.

Since:
  1.5
Author:
  Mark Southern,

  Constructor Summary
  `RectangleGlyph()`
  `RectangleGlyph(Paint paint)`
  `RectangleGlyph(Rectangle2D.Float bounds)`

  Method Summary
  `Rectangle2D.Float` | `getBounds()`
  `Paint` | `getPaint()`
  `void` | `render(Graphics2D g)`
  `void` | `setBounds(Rectangle2D.Float r)`
  `void` | `setPaint(Paint forePaint)` Allows you to set the paint properties of this glyph, i.e., its color.

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### RectangleGlyph

      public RectangleGlyph()

  ### RectangleGlyph

      public RectangleGlyph(Rectangle2D.Float bounds)

  ### RectangleGlyph

      public RectangleGlyph(Paint paint)

  Method Detail

  ### getBounds

      public Rectangle2D.Float getBounds()

    Specified by:
      `getBounds` in interface `Glyph`

  ### setBounds

      public void setBounds(Rectangle2D.Float r)

    Specified by:
      `setBounds` in interface `Glyph`

  ### render

      public void render(Graphics2D g)

    Specified by:
      `render` in interface `Glyph`

  ### getPaint

      public Paint getPaint()

    Returns:
      The currently set paint properties of this glyph.

  ### setPaint

      public void setPaint(Paint forePaint)

    Allows you to set the paint properties of this glyph, i.e., its color.

    Parameters:
      `forePaint` -

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD